Sorry, you need to enable JavaScript to visit this website.
Skip to main content
developer.sibsapimarket.com/sibs-qly/apimarket-sb

developer.sibsapimarket.com/sibs-qly/apimarket-sb

  • Getting started
  • API Documentation
Register
  • Welcome
  • Sandbox

Attention!

This site isn't fully compatible with Edge and you may find some technical issues. For a better experience, we recommend using Chrome, Firefox or Safari.

  • vtm product 1.0.0
  • APIs
  • VTM Test 1.0.0
      • Operations
      • POST /sibs/v1/vtm-test
      • Definitions
      • FeeResource
      • FeeUpdateResource
      • FeesArray
      • FeeDetailsResource
      • FixedAndOrPercentageValueResource
      • PaymentOwnerResource
      • PaymentOwnerResponseResource
      • PaymentOwnerInquiryResource
      • TieredResource
      • TieredArray
      • ErrorMessageWithStatus
      • CreatePaymentOwnerFeeRequestResource
      • CreatePaymentOwnerFeeResponseResource
      • PaymentOwnerFeeDetailsResponseResource
      • PaymentOwnerFeeInquiryResponseResource
      • UpdatePaymentOwnerFeeRequestResource
      • UpdatePaymentOwnerFeeResponseResource
      • DeletePaymentOwnerFeeResponseResource
      • TppMessage
      • TppMessageArray
      • TransactionStatusType

VTM Test 1.0.0

0
No votes yet
  • cURL
  • Ruby
  • Python
  • PHP
  • Java
  • Node
  • Go
  • Swift
Subscribe
forum Discuss this API in the forum
production
development
https://site1.sibsapimarket.com:8445/sibs-qly/apimarket-sb
production
development
https://site2.sibsapimarket.com:8445/sibs-qly/apimarket-sb
production
development
https://sandbox.qly.sibspayments.com

Paths

/sibs/v1/vtm-test

post /sibs/v1/vtm-test
Create Payment Owner Fee Request

Requests a Payment Owner Fee creation request at the SIBS.

Requests a Payment Owner Fee creation request at the SIBS.

payment-owner
Required in path
string

Payment Owner code

{
    "maxLength": 7,
    "pattern": "^[0-9]{0,7}$",
    "default": "1111111"
}
X-Message-ID
Required in header
string

ID of the transaction as determined by the initiating party

{
    "maxLength": 14
}
Date
Optional in header
string / date-time

Request date

{
    "pattern": "yyyy-MM-dd'T'hh:MM:ss.SSS"
}
Digest
Required in header
string

Hash of the message body. Should be present when Request body exists

{
    "default": ""
}
CreatePaymentOwnerFeeRequest
Required in body
object

Create Payment Owner Fee Request

{
    "schema": {
        "description": "Create Payment Owner Fee Request.",
        "type": "object",
        "properties": {
            "fee": {
                "$ref": "#\/definitions\/FeeResource"
            }
        },
        "additionalProperties": false,
        "required": [
            "fee"
        ]
    }
}
Content-Type
Optional in header
string
application/json
Accept
Optional in header
string
application/json
200

Ok

CreatePaymentOwnerFeeResponseResource
400

Bad Request.

ErrorMessageWithStatus
401

Unauthorized.

ErrorMessageWithStatus
403

Forbidden.

ErrorMessageWithStatus
404

Not Found.

ErrorMessageWithStatus
405

Method Not Allowed.

ErrorMessageWithStatus
406

Not Acceptable.

ErrorMessageWithStatus
408

Request Timeout.

ErrorMessageWithStatus
415

Unsupported Media Type.

ErrorMessageWithStatus
429

Too Many Requests.

ErrorMessageWithStatus
500

Internal Server Error.

ErrorMessageWithStatus
503

Service Unavailable.

ErrorMessageWithStatus
504

Gateway Timeout.

ErrorMessageWithStatus
Example Request
Show more open_in_new

x
Show more open_in_new

x
Show more open_in_new

x
Show more open_in_new

x
Show more open_in_new

x
Show more open_in_new

x
Show more open_in_new

x
Show more open_in_new

x
Example Response
POST https://site1.sibsapimarket.com:8445/sibs-qly/apimarket-sb/sibs/v1/vtm-test
Show more open_in_new
                                          
                                        

x
Try this operation
https://site1.sibsapimarket.com:8445/sibs-qly/apimarket-sb/sibs/v1/vtm-test
Login to test this API.
Login to test this API.
content-type
accept
X-Message-ID
Date
Digest
payment-owner

                        
No response. This is a mixed content call. It is not possible to test HTTP APIs from an HTTPS secured Portal site and vice versa. No response. This is a cross-origin call. Make sure the server accepts requests from this portal. Or if using self-signed SSL certificates then paste the URL above into your browser to accept the certificate before trying again (On Internet Explorer it must be the same browser tab.).

                            

Definitions

Fee Resource

{
    "type": "object",
    "properties": {
        "classification": {
            "description": "Possible Values: \\n 01 - Fee for Payment of Services \\n 02 - Reference Generation Fee",
            "type": "string",
            "maxLength": 2,
            "pattern": "^[0-9]{2,2}$",
            "default": "01",
            "enum": [
                "01",
                "02"
            ]
        },
        "fixedAndOrPercentageValue": {
            "description": "Should be present if Fixed Amount and/or Percentage Value.",
            "$ref": "#/definitions/FixedAndOrPercentageValueResource"
        },
        "tiered": {
            "description": "Should be present if Fees by level (number of transactions / month) and on success responses. List of Tiered Fees.",
            "$ref": "#/definitions/TieredArray"
        }
    },
    "required": [
        "classification"
    ],
    "additionalProperties": false
}
              

Fee Update Resource

{
    "type": "object",
    "properties": {
        "fixedAndOrPercentageValue": {
            "description": "Should be present if  Fixed Amount and/or Percentage Value.",
            "$ref": "#/definitions/FixedAndOrPercentageValueResource"
        },
        "tiered": {
            "description": "Should be present if Fees by level (number of transactions / month) and on success responses. List of Tiered Fees.",
            "$ref": "#/definitions/TieredArray"
        }
    },
    "additionalProperties": false
}
              

Array of Tiered object

{
    "type": "array",
    "items": {
        "type": "object",
        "properties": {
            "code": {
                "description": "Code of the Fee associated to a Payment Owner.",
                "type": "string",
                "maxLength": 3,
                "pattern": "^[0-9]{0,3}$",
                "default": "111"
            }
        }
    },
    "maxItems": 99,
    "minItems": 1
}
              

Payment Owner Fee Details Response.

{
    "type": "object",
    "properties": {
        "classification": {
            "description": "Possible Values: \\n 01 - Fee for Payment of Services \\n 02 - Reference Generation Fee",
            "type": "string",
            "maxLength": 2,
            "pattern": "^[0-9]{2,2}$",
            "default": "01",
            "enum": [
                "01",
                "02"
            ]
        },
        "code": {
            "description": "Code of the Fee associated to a Payment Owner.",
            "type": "string",
            "maxLength": 3,
            "pattern": "^[0-9]{0,3}$",
            "default": "111"
        },
        "level": {
            "description": "Fee level Tier",
            "type": "string",
            "maxLength": 1,
            "pattern": "^[0-9]{0,1}$",
            "default": "1"
        },
        "levelInitiationDate": {
            "description": "Date from which the tiered is vali",
            "type": "string",
            "maxLength": 8,
            "pattern": "^[0-9]{0,8}$",
            "default": "03092022"
        },
        "logSystem": {
            "description": "Log system associated to the transaction",
            "type": "string",
            "maxLength": 2
        },
        "centralLogPeriodIdentifier": {
            "description": "Central log period identification",
            "type": "string",
            "maxLength": 4,
            "pattern": "^[0-9]{1,4}$",
            "default": "1111"
        },
        "centralLogRecordNumber": {
            "description": "Central log record number",
            "type": "string",
            "maxLength": 8,
            "pattern": "^[0-9]{1,8}$",
            "default": "11111111"
        },
        "lastOperationDate": {
            "description": "Last Update Date",
            "type": "string",
            "maxLength": 8,
            "pattern": "^[0-9]{1,8}$",
            "default": "11111111"
        },
        "lastOperationTime": {
            "description": "Last Update Time",
            "type": "string",
            "maxLength": 6,
            "pattern": "^[0-9]{1,6}$",
            "default": "111111"
        },
        "lastUserId": {
            "description": "Last User Update",
            "type": "string",
            "maxLength": 8,
            "pattern": "^[0-9]{1,8}$",
            "default": "11111111"
        },
        "fixedAndOrPercentageValue": {
            "description": "Should be present if  Fixed Amount and/or Percentage Value.",
            "$ref": "#/definitions/FixedAndOrPercentageValueResource"
        },
        "tiered": {
            "description": "Should be present if Fees by level (number of transactions / month) and on success responses. List of Tiered Fees.",
            "$ref": "#/definitions/TieredArray"
        }
    },
    "additionalProperties": false,
    "required": [
        "classification"
    ]
}
              

Fixed And Or Percentage Value Resource

{
    "type": "object",
    "properties": {
        "percentage": {
            "description": "Percentage value for fee.",
            "type": "string",
            "maxLength": 6,
            "pattern": "^[0-9]{0,3}(\\.[0-9]{0,2}){0,1}$",
            "default": "111.11"
        },
        "minimumAmount": {
            "description": "Minimum amount to be apply.",
            "type": "string",
            "maxLength": 6,
            "pattern": "^[0-9]{0,3}(\\.[0-9]{0,2}){0,1}$",
            "default": "111.11"
        },
        "maximumAmount": {
            "description": "Maximum amount to be apply.",
            "type": "string",
            "maxLength": 6,
            "pattern": "^[0-9]{0,3}(\\.[0-9]{0,2}){0,1}$",
            "default": "111.11"
        },
        "amount": {
            "description": "Fee Fixed Amount. Basic value for fee in Euro.",
            "type": "string",
            "pattern": "^[0-9]{0,3}(\\.[0-9]{0,2}){0,1}$",
            "maxLength": 6,
            "default": "111.11"
        }
    },
    "additionalProperties": false
}
              

Payment Owner Resource

{
    "type": "object",
    "properties": {
        "code": {
            "description": "Code that allows the characterisation of a payment owner.",
            "type": "string",
            "maxLength": 7,
            "pattern": "^[0-9]{1,7}$",
            "default": "1111111"
        },
        "fee": {
            "$ref": "#/definitions/FeeResource"
        }
    },
    "required": [
        "code"
    ],
    "additionalProperties": false
}
              

Payment Owner Resource

{
    "type": "object",
    "properties": {
        "code": {
            "description": "Code that allows the characterisation of a payment owner.",
            "type": "string",
            "maxLength": 7,
            "pattern": "^[0-9]{1,7}$",
            "default": "1111111"
        },
        "shortName": {
            "description": "Payment Owner Short Name",
            "type": "string",
            "maxLength": 20
        },
        "fee": {
            "allOf": [
                {
                    "type": "object",
                    "properties": {
                        "code": {
                            "description": "Code of the Fee associated to a Payment Owner.",
                            "type": "string",
                            "maxLength": 3,
                            "pattern": "^\\d{1,3}$",
                            "default": "999"
                        }
                    }
                },
                {
                    "$ref": "#/definitions/FeeResource"
                }
            ]
        }
    },
    "required": [
        "code"
    ],
    "additionalProperties": false
}
              

Payment Owner Inquiry Resource

{
    "type": "object",
    "properties": {
        "code": {
            "description": "Code that allows the characterisation of a payment owner.",
            "type": "string",
            "maxLength": 7,
            "pattern": "^[0-9]{1,7}$",
            "default": "1111111"
        },
        "fees": {
            "$ref": "#/definitions/FeesArray"
        }
    },
    "required": [
        "code"
    ],
    "additionalProperties": false
}
              

Tiered Data Data

{
    "type": "object",
    "properties": {
        "code": {
            "description": "Tiered Fee Codes . Possible values: \\n 1 -> from 1 to 500 \\n 2 –> from 501 to 2.000 \\n 3 –> from 2.001 to 5.000 \\n 4 –> from 5.001 to 50.000 \\n 5 –> from 50.001 to 100.000 \\n 6 –> from 100.001 to 150.000 \\n 7 –> more then 150.000",
            "type": "string",
            "maxLength": 1,
            "pattern": "^[0-9]{1,1}$",
            "default": "1"
        },
        "value": {
            "description": "Fee Value. The fee amount includes the applicable VAT.",
            "type": "string",
            "maxLength": 6,
            "pattern": "^[0-9]{0,3}(\\.[0-9]{0,2}){0,1}$",
            "default": "111.11"
        }
    },
    "additionalProperties": false
}
              

Array of Tiered object

{
    "type": "array",
    "items": {
        "$ref": "#/definitions/TieredResource",
        "description": "Tiered Data Data",
        "type": "object",
        "properties": {
            "code": {
                "description": "Tiered Fee Codes . Possible values: \\n 1 -> from 1 to 500 \\n 2 –> from 501 to 2.000 \\n 3 –> from 2.001 to 5.000 \\n 4 –> from 5.001 to 50.000 \\n 5 –> from 50.001 to 100.000 \\n 6 –> from 100.001 to 150.000 \\n 7 –> more then 150.000",
                "type": "string",
                "maxLength": 1,
                "pattern": "^[0-9]{1,1}$",
                "default": "1"
            },
            "value": {
                "description": "Fee Value. The fee amount includes the applicable VAT.",
                "type": "string",
                "maxLength": 6,
                "pattern": "^[0-9]{0,3}(\\.[0-9]{0,2}){0,1}$",
                "default": "111.11"
            }
        },
        "additionalProperties": false
    },
    "maxItems": 7,
    "minItems": 0
}
              

Error and status Information.

{
    "type": "object",
    "properties": {
        "transactionStatus": {
            "$ref": "#/definitions/TransactionStatusType",
            "description": "The transaction status is filled with codes of the ISO 20022 corresponding element."
        },
        "tppMessages": {
            "$ref": "#/definitions/TppMessageArray",
            "description": "Messages to the TPP on operational issues."
        }
    },
    "additionalProperties": false
}
              

Create Payment Owner Fee Request.

{
    "type": "object",
    "properties": {
        "fee": {
            "$ref": "#/definitions/FeeResource"
        }
    },
    "additionalProperties": false,
    "required": [
        "fee"
    ]
}
              

Create Payment Owner Fee response to TPP.

{
    "type": "object",
    "properties": {
        "transactionStatus": {
            "$ref": "#/definitions/TransactionStatusType",
            "description": "Transaction Status Code. \\n Possible values: \\n - \"ACTC\" - \"Accepted Technical Validation\"; \\n - \"RJCT\" - \"Rejected\""
        },
        "logSystem": {
            "description": "Log System associated to the transaction",
            "type": "string",
            "maxLength": 2
        },
        "centralLogPeriodIdentifier": {
            "description": "Central log period identification",
            "type": "string",
            "maxLength": 4,
            "pattern": "^[0-9]{1,4}$",
            "default": "1111"
        },
        "centralLogRecordNumber": {
            "description": "Central log record number",
            "type": "string",
            "maxLength": 8,
            "pattern": "^[0-9]{1,8}$",
            "default": "11111111"
        },
        "paymentOwner": {
            "description": ".",
            "$ref": "#/definitions/PaymentOwnerResponseResource"
        },
        "tppMessages": {
            "$ref": "#/definitions/TppMessageArray",
            "description": "Messages to the TPP on operational issues."
        }
    },
    "additionalProperties": false,
    "required": [
        "transactionStatus"
    ]
}
              

Payment Owner Fee Inquiry Response.

{
    "type": "object",
    "properties": {
        "transactionStatus": {
            "$ref": "#/definitions/TransactionStatusType",
            "description": "Transaction Status Code. \\n Possible values: \\n - \"ACTC\" - \"Accepted Technical Validation\"; \\n - \"RJCT\" - \"Rejected\""
        },
        "logSystem": {
            "description": "Log system associated to the transaction",
            "type": "string",
            "maxLength": 2
        },
        "centralLogPeriodIdentifier": {
            "description": "Central log period identification",
            "type": "string",
            "maxLength": 4,
            "pattern": "^[0-9]{1,4}$",
            "default": "1111"
        },
        "centralLogRecordNumber": {
            "description": "Central log record number",
            "type": "string",
            "maxLength": 8,
            "pattern": "^[0-9]{1,8}$",
            "default": "11111111"
        },
        "paymentOwner": {
            "description": "Only present on success responses.",
            "allOf": [
                {
                    "type": "object",
                    "properties": {
                        "shortName": {
                            "description": "Payment Owner Short Name",
                            "type": "string",
                            "maxLength": 20
                        }
                    }
                },
                {
                    "$ref": "#/definitions/PaymentOwnerInquiryResource"
                }
            ]
        },
        "tppMessages": {
            "$ref": "#/definitions/TppMessageArray",
            "description": "Messages to the TPP on operational issues."
        }
    },
    "additionalProperties": false,
    "required": [
        "transactionStatus"
    ]
}
              

Payment Owner Fee Details Response.

{
    "type": "object",
    "properties": {
        "transactionStatus": {
            "$ref": "#/definitions/TransactionStatusType",
            "description": "Transaction Status Code. \\n Possible values: \\n - \"ACTC\" - \"Accepted Technical Validation\"; \\n - \"RJCT\" - \"Rejected\""
        },
        "logSystem": {
            "description": "Log system associated to the transaction",
            "type": "string",
            "maxLength": 2
        },
        "centralLogPeriodIdentifier": {
            "description": "Central log period identification",
            "type": "string",
            "maxLength": 4,
            "pattern": "^[0-9]{1,4}$",
            "default": "1111"
        },
        "centralLogRecordNumber": {
            "description": "Central log record number",
            "type": "string",
            "maxLength": 8,
            "pattern": "^[0-9]{1,8}$",
            "default": "11111111"
        },
        "paymentOwner": {
            "description": "Only present on success responses.",
            "type": "object",
            "properties": {
                "code": {
                    "description": "Code that allows the characterisation of a payment owner.",
                    "type": "string",
                    "maxLength": 7,
                    "pattern": "^[0-9]{1,7}$",
                    "default": "1111111"
                },
                "shortName": {
                    "description": "Payment Owner Short Name.",
                    "type": "string",
                    "maxLength": 20
                },
                "fee": {
                    "$ref": "#/definitions/FeeDetailsResource"
                }
            }
        },
        "tppMessages": {
            "$ref": "#/definitions/TppMessageArray",
            "description": "Messages to the TPP on operational issues."
        }
    },
    "additionalProperties": false,
    "required": [
        "transactionStatus"
    ]
}
              

Create Payment Owner Fee Request.

{
    "type": "object",
    "properties": {
        "fee": {
            "$ref": "#/definitions/FeeUpdateResource"
        }
    },
    "additionalProperties": false,
    "required": [
        "fee"
    ]
}
              

Update Payment Owner Fee response to TPP.

{
    "type": "object",
    "properties": {
        "transactionStatus": {
            "$ref": "#/definitions/TransactionStatusType",
            "description": "Transaction Status Code. \\n Possible values: \\n - \"ACTC\" - \"Accepted Technical Validation\"; \\n - \"RJCT\" - \"Rejected\""
        },
        "logSystem": {
            "description": "Log System associated to the transaction",
            "type": "string",
            "maxLength": 2
        },
        "centralLogPeriodIdentifier": {
            "description": "Central log period identification",
            "type": "string",
            "maxLength": 4,
            "pattern": "^[0-9]{1,4}$",
            "default": "1111"
        },
        "centralLogRecordNumber": {
            "description": "Central log record number",
            "type": "string",
            "maxLength": 8,
            "pattern": "^[0-9]{1,8}$",
            "default": "11111111"
        },
        "paymentOwner": {
            "description": ".",
            "$ref": "#/definitions/PaymentOwnerResponseResource"
        },
        "tppMessages": {
            "$ref": "#/definitions/TppMessageArray",
            "description": "Messages to the TPP on operational issues."
        }
    },
    "additionalProperties": false,
    "required": [
        "transactionStatus"
    ]
}
              

Delete Payment Owner Fee response to TPP.

{
    "type": "object",
    "properties": {
        "transactionStatus": {
            "$ref": "#/definitions/TransactionStatusType",
            "description": "Transaction Status Code. \\n Possible values: \\n - \"ACTC\" - \"Accepted Technical Validation\"; \\n - \"RJCT\" - \"Rejected\""
        },
        "logSystem": {
            "description": "Log System associated to the transaction",
            "type": "string",
            "maxLength": 2
        },
        "centralLogPeriodIdentifier": {
            "description": "Central log period identification",
            "type": "string",
            "maxLength": 4,
            "pattern": "^[0-9]{1,4}$",
            "default": "1111"
        },
        "centralLogRecordNumber": {
            "description": "Central log record number",
            "type": "string",
            "maxLength": 8,
            "pattern": "^[0-9]{1,8}$",
            "default": "11111111"
        },
        "paymentOwner": {
            "description": "Only present on success responses.",
            "properties": {
                "code": {
                    "description": "Code that allows the characterisation of a payment owner.",
                    "type": "string",
                    "maxLength": 7,
                    "pattern": "^[0-9]{1,8}$",
                    "default": "1111111"
                }
            }
        },
        "fee": {
            "description": "Only present on success responses.",
            "properties": {
                "code": {
                    "description": "Code of the Fee associated to a Payment Owner.",
                    "type": "string",
                    "maxLength": 3,
                    "pattern": "^[0-9]{1,3}$",
                    "default": "111"
                }
            }
        },
        "tppMessages": {
            "$ref": "#/definitions/TppMessageArray",
            "description": "Messages to the TPP on operational issues."
        }
    },
    "additionalProperties": false,
    "required": [
        "transactionStatus"
    ]
}
              

Transports additional error information.

{
    "required": [
        "category",
        "code"
    ],
    "properties": {
        "category": {
            "type": "string",
            "default": "",
            "description": "Category of the error. Only \"ERROR\" or \"WARNING\" permitted."
        },
        "code": {
            "type": "string",
            "default": "",
            "description": "Message error code."
        },
        "path": {
            "type": "string",
            "default": "",
            "description": "Path of the element of the request message which provoked this error message."
        },
        "text": {
            "type": "string",
            "maxLength": 512,
            "default": "",
            "description": "Additional explaining text."
        }
    },
    "additionalProperties": false
}
              

Messages to the TPP on operational issues.

{
    "type": "array",
    "items": {
        "$ref": "#/definitions/TppMessage",
        "description": "Transports additional error information."
    },
    "additionalProperties": false
}
              

ACTC : ACCEPTED TECHNICAL VALIDATION RJCT : REJECTED

{
    "type": "string",
    "enum": [
        "ACTC",
        "RJCT"
    ],
    "default": "RJCT",
    "additionalProperties": false
}
              
  • Share this
  • Log in or register to post comments

SANDBOX

Getting Started
API Documentation

©SIBS API Market

Login

User login

Use your developer.sibsapimarket.com/sibs-qly/apimarket-sb account ...

  • Create new account
  • Request new password